Create Workspace Chat
curl --request POST \
--url https://api.tryreplicas.com/v1/workspaces/{workspaceId}/chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"parentChatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientRequestId": "<string>"
}
'import requests
url = "https://api.tryreplicas.com/v1/workspaces/{workspaceId}/chats"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"parentChatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientRequestId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '2023-11-07T05:31:56Z',
title: '<string>',
parentChatId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientRequestId: '<string>'
})
};
fetch('https://api.tryreplicas.com/v1/workspaces/{workspaceId}/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chat": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"processing": true,
"parentChatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastMessageText": "<string>"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Replica
Create Workspace Chat
Creates a chat immediately. For preparing or sleeping workspaces, the chat stays visible and is created in the engine after startup completes. Archived and error workspaces return 409.
POST
/
v1
/
workspaces
/
{workspaceId}
/
chats
Create Workspace Chat
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys.
Path Parameters
Body
application/json
Request body for creating a new chat
Coding agent provider for this chat
Available options:
claude, codex, cursor, opencode, pi Optional client-generated chat ID.
Optional client-generated creation time.
Title for the chat
Optional parent chat ID.
Opaque client-chosen id echoed back in the chat.created event, so clients doing optimistic UI can recognize their own create
Response
Chat accepted
Show child attributes
Show child attributes
⌘I